/*  Copyright (c) 2007-2008 Tomasz Moń
 *  Copyright (c) 2004 Artur Gajda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; under version 3 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses>.
 */

#ifndef GRIVUI_H
#define GRIVUI_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>


struct POP_SEND {
    GtkWidget *dialog;
    GtkWidget *edit;
    char *nick;
    int id;
};

enum {
    COLUMN_NICK,
    COLUMN_ID,
    N_COLUMNS
};

extern GtkWidget *window;
extern GtkTextTagTable *griv_tag_table;
GtkTextBuffer *buffer;
GtkWidget *view;
extern GtkWidget *tree;

void update_user_text_color(gchar *nick, guchar r, guchar g, guchar b);
void glowne_okno();
void add_text(char *txt);
void add_text2(char *nick, char *txt, char *tag_name);
void add_text3(char *tag, const char *fmt, ...);
void add_info_text(char *txt);

void lista_dodaj(char *nick, gint id);
void lista_refresh();
void pop_show(gint id, char *nick, char *msg);

#endif

